## kdebase-trinity 3.5.13.2

=== drkonqi/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( presets )
add_subdirectory( pics )
add_subdirectory( debuggers )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### drkonqi (executable) ######################

tde_add_executable( drkonqi AUTOMOC
  SOURCES
    krashdcopinterface.skel main.cpp debugger.cpp
    krashconf.cpp drbugreport.cpp backtrace.cpp toplevel.cpp
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

##### crashtest (executable) ######################

if( BUILD_CRASHTEST )
  tde_add_executable( crashtest AUTOMOC
    SOURCES
      crashtest.cpp
    LINK kio-shared
    DESTINATION ${BIN_INSTALL_DIR}
  )
endif( BUILD_CRASHTEST )

=== kcontrol/background/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( BUILD_KCONTROL OR BUILD_KDESKTOP OR BUILD_KDM )

  include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/libkonq
    ${TDE_INCLUDE_DIR}
    ${TQT_INCLUDE_DIRS}
    ${LIBART_INCLUDE_DIRS}
  )

  link_directories(
    ${TQT_LIBRARY_DIRS}
  )

  ##### bgnd (static) #############################

  tde_add_library( bgnd STATIC_PIC AUTOMOC
    SOURCES bgrender.cpp bgsettings.cpp
    LINK ${LIBART_LIBRARIES}
  )

endif( )


if( BUILD_KCONTROL )

  add_subdirectory( pics )

  ##### other data ################################

  install( FILES background.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


  ##### kcm_background (module) ###################

  tde_add_kpart( kcm_background AUTOMOC
    SOURCES main.cpp
    LINK kcmbgnd-static bgnd-static knewstuff-shared
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )


  ##### kcmbgnd (static) ##########################

  tde_add_library( kcmbgnd STATIC_PIC AUTOMOC
    SOURCES
      bgdialog.cpp bgdialog_ui.ui bgwallpaper_ui.ui
      bgwallpaper.cpp bgadvanced_ui.ui bgadvanced.cpp
      bgmonitor.cpp
  )

endif( )

=== kdesktop/lock/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#  (C) 2012 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdesktop
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kdmlib
  ${CMAKE_SOURCE_DIR}/kcheckpass
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdesktop_lock (executable) ################

set( target kdesktop_lock )

set( ${target}_SRCS
  lockprocess.cc lockdlg.cc infodlg.cc querydlg.cc sakdlg.cc
  securedlg.cc autologout.cc main.cc
)

if( WITH_KDESKTOP_LOCK_BACKTRACE )
  list( APPEND ${target}_SRCS backtrace_symbols.c )
  set( BACKTRACE_LIBRARY bfd )
endif( )

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kdesktopsettings-static dmctl-static kio-shared Xext ${BACKTRACE_LIBRARY} ${GL_LIBRARY} "${LINKER_IMMEDIATE_BINDING_FLAGS}"
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kdm/backend/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME this is far from complete!!!

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${DBUS_TQT_INCLUDE_DIRS}
)

link_directories(
  ${DBUS_TQT_LIBRARY_DIRS}
)

##### kdm (executable) ##########################

add_custom_command( OUTPUT config.ci
  COMMAND perl -w ${CMAKE_SOURCE_DIR}/kdm/confproc.pl ${CMAKE_SOURCE_DIR}/kdm/config.def config.ci
  DEPENDS ${CMAKE_SOURCE_DIR}/kdm/confproc.pl ${CMAKE_SOURCE_DIR}/kdm/config.def )

set_property( SOURCE auth.c APPEND PROPERTY OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/config.ci )

if( WITH_XDMCP )
  set( XDMCP_LIBRARIES "Xdmcp" )
else()
  set( XDMCP_LIBRARIES "" )
endif()

tde_add_executable( kdm
  SOURCES
    access.c auth.c bootman.c choose.c client.c consolekit.c
    ctrl.c daemon.c dm.c dpylist.c error.c genauth.c
    inifile.c krb5auth.c mitauth.c netaddr.c policy.c
    process.c protodpy.c reset.c resource.c rpcauth.c
    server.c session.c sessreg.c socket.c streams.c
    util.c xdmauth.c xdmcp.c
  LINK X11 ${XAU_LIBRARIES} ${DBUS_TQT_LIBRARIES} ${CRYPT_LIBRARY} ${PAM_LIBRARY} ${XDMCP_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kioslave/filter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES gzip.protocol bzip.protocol bzip2.protocol xz.protocol lzma.protocol DESTINATION ${SERVICES_INSTALL_DIR} )


##### kio_filter (module) #######################

set( target kio_filter )

tde_add_kpart( ${target} AUTOMOC
  SOURCES filter.cc
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kicker/kicker/core/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/kicker/ui
  ${CMAKE_SOURCE_DIR}/kicker/kicker/buttons
  ${DBUS_TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES default-apps DESTINATION ${DATA_INSTALL_DIR}/kicker )
install( FILES childpanelextension.desktop DESTINATION ${DATA_INSTALL_DIR}/kicker/extensions )


##### kicker_core (static) ######################

set( target kicker_core )

set( ${target}_SRCS
  extensionSettings.kcfgc main.cpp kicker.cpp kicker.skel
  userrectsel.cpp containerarea.cpp kmenubase.ui
  applethandle.cpp container_base.cpp container_button.cpp
  container_applet.cpp container_extension.cpp extensionmanager.cpp
  menumanager.cpp pluginmanager.cpp showdesktop.cpp
  unhidetrigger.cpp containerarealayout.cpp
  panelextension.cpp panelextension.skel
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  DEPENDENCIES libkicker-shared
  LINK konq-shared
)

=== kioslave/media/mediamanager/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME there is no support for HAL and linuxcdpolling yet


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kioslave/media/libmediacommon
  ${CMAKE_SOURCE_DIR}/kioslave/media/libmediacommon
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${HAL_INCLUDE_DIRS}
  ${DBUS_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${DBUS_TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES mediamanager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )


##### kded_mediamanager (module) ################

set( target kded_mediamanager )

if( WITH_HAL )
  set( ${target}_SRCS
    mediamanager.cpp mediamanager.skel medialist.cpp
    backendbase.cpp fstabbackend.cpp removablebackend.cpp
    mediadirnotify.cpp mediadirnotify.skel
    halbackend.cpp linuxcdpolling.cpp
  )

  tde_add_kpart( ${target} AUTOMOC
    SOURCES ${${target}_SRCS}
    LINK mediacommon-static kdeinit_kded-shared ${HAL_LIBRARIES} -lhal-storage ${DBUS_TQT_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
else( )
  set( ${target}_SRCS
    mediamanager.cpp mediamanager.skel medialist.cpp
    backendbase.cpp fstabbackend.cpp removablebackend.cpp
    mediadirnotify.cpp mediadirnotify.skel
  )

  tde_add_kpart( ${target} AUTOMOC
    SOURCES ${${target}_SRCS}
    LINK mediacommon-static kdeinit_kded-shared
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
endif( )

=== kwin/clients/keramik/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kwin/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES keramik.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin )


##### kwin3_keramik (module) ####################

set_source_files_properties( keramik.cpp
  PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tiles.h )

tde_add_kpart( kwin3_keramik AUTOMOC
  SOURCES keramik.cpp
  LINK kdecorations-shared kdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tiles.h (header) ##########################

file(GLOB _pics "${CMAKE_CURRENT_SOURCE_DIR}/pics/*.png" )

add_custom_command( OUTPUT tiles.h
  COMMAND ${CMAKE_CURRENT_BINARY_DIR}/embedtool ${_pics}
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/embedtool ${_pics} )

tde_add_executable( embedtool
  SOURCES embedtool.cpp
  LINK ${TQT_LIBRARIES}
)

=== debian/changelog ===
kdebase-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 07:59:37 +0200

kdebase-trinity (4:3.5.10-2ubuntu12) karmic; urgency=low

  * Repaired kdesktop crash on load
  * Fixed krandrtray crash when randr X extension is unavailable
  * Added option to keys config dialog to alter Win key from modifier status

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Dec 2009 13:24:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu11) karmic; urgency=low

  * Repaired kfind crash on premature close
  * Fixed multiple viewport wallpaper crash on select
  * HAL attempt to unmount root issue resolved

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 22 Nov 2009 20:06:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu10) karmic; urgency=low

  * Added support for Compiz and viewport desktop wallpaper switching
  * Repaired crash on desktop resize on certain systems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 18 Nov 2009 18:56:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu9) karmic; urgency=low

  * Repaired fancy logout / Compiz graphical glitch

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 14 Nov 2009 15:23:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu8) karmic; urgency=low

  * Repaired Upstart script properly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 11 Nov 2009 12:33:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu7) karmic; urgency=low

  * Repaired Upstart script (removed respawn stanza)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 29 Oct 2009 07:31:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu6) karmic; urgency=low

  * Repaired KRandrTray failure when active output device was unplugged; also tweaked UI

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 23 Oct 2009 07:31:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu4) karmic; urgency=low

  * Repaired XRandR support for the desktop wallpaper; removed the annoying tiling issue

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 21 Oct 2009 01:57:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu3) karmic; urgency=low

  * Added missing directory for dpkg-divert to /etc/xdg/menus.kde4

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 20 Oct 2009 13:05:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu2) karmic; urgency=low

  * Added Start menu button icon configuration dialog
  * Delayed kdm-trinity startup to allow for graphics device configuration

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Oct 2009 16:21:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu5) karmic; urgency=low

  * Added new ICC loading functionality to kcontrol and kdm
  * Added new display output switching functionality to krandrtray
  * Beginnings of customizable K menu icon

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 15 Oct 2009 10:46:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu4) karmic; urgency=low

  * Added Start menu button text option to panel configuration dialog
  * Added forcible termination option to kio unmount wrapper

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 14 Oct 2009 13:16:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu3) karmic; urgency=low

  * Default KDM theme set to kubuntu-trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 10 Oct 2009 12:19:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu2) karmic; urgency=low

  * Converted startup to Upstart; boot time is vastly improved

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 07 Oct 2009 20:52:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu0) karmic; urgency=low

  * Repaired control file depends and recommends

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 17 Sep 2009 16:20:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu12) karmic; urgency=low

  * Repaired kdm looking at the wrong pam.d files

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 10 Sep 2009 11:20:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu11) karmic; urgency=low

  * Repaired startkde script to export DESKTOP_SESSION
  * Depends on libogg-dev-la
  * Repaired gcc4.4 compilation problems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Aug 2009 14:59:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Repaired XDG conflict with KDE4

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 21 July 2009 11:01:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid17) intrepid; urgency=low

  * Repaired unwanted Plasma startup under Jaunty

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 16 Jun 2009 11:08:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid16) intrepid; urgency=low

  * Added tilde to autocompletion

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Jun 2009 15:13:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid14) intrepid; urgency=low

  * Moved xdg items to /opt/trinity/etc/xdg, where they belong

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 17 Apr 2009 01:29:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid10) intrepid; urgency=low

  * Fixed kcontrol device menu items that ended up in lost and found
  * Removed kinfocenter feature, and moved peripheral information views to kcontrolcenter
    This is due in part to the new KDE4 menu directory structure, and it also streamlines
    the user interface a bit

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 17 Apr 2009 01:29:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid8) intrepid; urgency=low

  * Repaired plasma startup to autodetect Trinity/KDE4 and not run/run accordingly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 15 Apr 2009 11:37:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid7) intrepid; urgency=low

  * Added a useful, configurable autocomplete feature to the KDE run dialog



=== debian/control ===
Source: kdebase-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, autotools-dev, gawk, gettext, kdelibs4-trinity-dev (>= 4:3.5.10), libldap2-dev, libhal-dev (>= 0.5.5.1-2) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhal-storage-dev (>= 0.5.5.1-2) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xutils, sharutils, texinfo, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, kdelibs4c2a-trinity, libogg-dev, libdbus-tqt-1-dev, libavahi-tqt-dev, libudev-dev, libart-2.0-dev (>= 2.3.17), libtool, libltdl-dev, binutils-dev, cmake
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, kdelibs4-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: kdebase-trinity
Section: kde
Architecture: all
Depends: kappfinder-trinity (>= ${Source-Version}), kate-trinity (>= ${Source-Version}), kcontrol-trinity (>= ${Source-Version}), kdebase-trinity-bin (>= ${Source-Version}), kdebase-data-trinity (>= ${Source-Version}), kdebase-kio-plugins-trinity (>= ${Source-Version}), kdepasswd-trinity (>= ${Source-Version}), kdeprint-trinity (>= ${Source-Version}), kdesktop-trinity (>= ${Source-Version}), kfind-trinity (>= ${Source-Version}), khelpcenter-trinity (>= ${Source-Version}), kicker-trinity (>= ${Source-Version}), klipper-trinity (>= ${Source-Version}), kmenuedit-trinity (>= ${Source-Version}), konqueror-nsplugins-trinity (>= ${Source-Version}), konqueror-trinity (>= ${Source-Version}), konsole-trinity (>= ${Source-Version}), kpager-trinity (>= ${Source-Version}), kpersonalizer-trinity (>= ${Source-Version}), ksmserver-trinity (>= ${Source-Version}), ksplash-trinity (>= ${Source-Version}), ksysguard-trinity (>= ${Source-Version}), ktip-trinity (>= ${Source-Version}), kwin-trinity (>= ${Source-Version}), libkonq4-trinity (>= ${Source-Version}), hal-trinity | kfreebsd-gnu | hurd, xcalib
Recommends: kdm-trinity (>= ${Source-Version}), kdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: kdebase-trinity-doc-html (>= ${Source-Version})
Description: base components from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of KDE, namely the minimal package
 set necessary to run KDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: kdebase-runtime-data-common-trinity
Section: kde
Architecture: all
Depends: kdebase-trinity
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdebase-trinity (<< 4:3.0.0)
Description: non-KDE application finder for KDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Replaces: kdebase-trinity-doc (<< 4:3.0.0)
Description: advanced text editor for KDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of KDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdebase-data-trinity (>> ${KDE-Version3}), kdebase-data-trinity (<< ${KDE-Next-Version3}), usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: kdebase-libs-trinity (<< 4:3.0.0)
Replaces: kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0), kdebase-libs-trinity (<< 4:3.0.0), konqueror-trinity (<< 4:3.0.0)
Description: control center for KDE
 The KDE Control Center provides you with a centralized and convenient
 way to configure all of your KDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-bin
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: kdebase-libs-trinity (<< 4:3.0.0), kdm-trinity (<< 4:3.4.1-2), kdebase-workspace-data-trinity (<< 7:3.5.0)
Replaces: kcontrol-trinity (<< 4:3.3.0), kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0), kdebase-libs-trinity (<< 4:3.0.0), kscreensaver-trinity (<< 4:3.0.0), kdm-trinity (= 4:3.3.2-1b)
Description: core binaries for the KDE base module
 This package contains miscellaneous programs needed by other
 KDE applications, particularly those in the KDE base module.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-data-trinity
Section: kde
Architecture: all
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), kwin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1)
Replaces: kdebase-trinity (<< 4:3.0.0), kdeedu-data-trinity (<< 4:3.4.0), kdelibs-data-trinity (<< 4:3.3.0), kdewallpapers-trinity (<< 4:3.0.0), kcontrol-trinity (<< 4:3.5.5a.dfsg.1-1ubuntu18)
Description: shared data files for the KDE base module
 This package contains the architecture-independent shared data files
 needed for a basic KDE desktop installation.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-dev
Section: devel
Architecture: any
Depends: kate-trinity (= ${Source-Version}), kcontrol-trinity (= ${Source-Version}), kdebase-trinity-bin (= ${Source-Version}), kdeprint-trinity (= ${Source-Version}), kdesktop-trinity (= ${Source-Version}), khelpcenter-trinity (= ${Source-Version}), kicker-trinity (= ${Source-Version}), klipper-trinity (= ${Source-Version}), kmenuedit-trinity (= ${Source-Version}), konqueror-nsplugins-trinity (= ${Source-Version}), konqueror-trinity (= ${Source-Version}), konsole-trinity (= ${Source-Version}), ksmserver-trinity (= ${Source-Version}), ksplash-trinity (= ${Source-Version}), ksysguard-trinity (= ${Source-Version}), kwin-trinity (= ${Source-Version}), kdelibs4-trinity-dev (>= 4:3.5.8)
Replaces: kate-trinity (<< 4:3.0.0), kdebase-trinity (<< 4:3.0.0), konqueror-trinity (<< 4:3.0.0)
Description: development files for the KDE base module
 This package contains headers and other development files needed to
 compile software based on the KDE base module.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-doc
Section: doc
Architecture: all
Replaces: libkonq4-trinity-dev (<< 4:3.2.0)
Description: developer documentation for the KDE base module
 This package contains documentation for the KDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-doc-html
Architecture: all
Section: doc
Suggests: konqueror-trinity | www-browser, kdebase-trinity
Description: KDE base documentation in HTML format
 By default the modules provided by KDE only provide their documentation
 in KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 KDE base packages.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-kio-plugins-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: hal-trinity, pmount, cryptsetup, kamera-trinity, kdemultimedia-kio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: kdebase-libs-trinity (<< 4:3.0.0), mediamanager
Replaces: kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0), kdebase-libs-trinity (<< 4:3.0.0), konqueror-trinity (<< 4:3.0.0), kdebase-trinity-bin (<< 4:3.5.5a.dfsg.1-1ubuntu18), kdebase-data-trinity (<< 4:3.5.8-2ubuntu18)
Description: core I/O slaves for KDE
 This package includes the base kioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media kioslave, which handles removable devices,
 and which works best with hal (and therefore udev) and pmount. Media
 also extends the functionality of many other kioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdepasswd-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: password changer for KDE
 This is a simple application which allows users to change their
 system passwords.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdeprint-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, enscript, poster, psutils
Recommends: kghostview-trinity | postscript-viewer
Conflicts: foomatic-db-compressed-ppds
Suggests: khelpcenter-trinity, efax | hylafax-client | mgetty-fax, smbclient
Replaces: kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0)

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DKCHECKPASS_PAM_SERVICE="kcheckpass-trinity" -DKDM_PAM_SERVICE="kdm-trinity" -DKSCREENSAVER_PAM_SERVICE="kscreensaver-trinity" -DWITH_KDESKTOP_LOCK_BACKTRACE="ON" -DWITH_USBIDS="/usr/share/misc/usb.ids" \
-DWITH_ARTS="ON" -DWITH_SHADOW="ON" -DWITH_PAM="ON" -DWITH_SASL="ON" -DWITH_SUDO_KDESU_BACKEND="OFF" -DWITH_LDAP="ON" -DWITH_SAMBA="ON" -DWITH_LIBRAW1394="ON" -DWITH_OPENEXR="ON" -DWITH_XCOMPOSITE="ON" -DWITH_XCURSOR="ON" -DWITH_XFIXES="ON" -DWITH_XRANDR="ON" -DWITH_XINERAMA="ON" -DWITH_HAL="ON" -DWITH_XDMCP="ON" -DWITH_XRENDER="ON" -DWITH_XDAMAGE="ON" -DWITH_XEXT="ON" -DWITH_XTEST="ON" -DWITH_XSCREENSAVER="ON" -DWITH_LIBART="ON" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/kdesud    \
	opt/trinity/bin/kdmtsak

DEB_DH_STRIP_ARGS  := --dbg-package=kdebase-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DOC_HTML_PRUNE := kinfocenter ksplashml kcontrol khelpcenter kdesu knetattach kioslave kxkb kdebugdialog kdcop

PACKAGES_WITH_LIBS := kate-trinity kcontrol-trinity kdebase-trinity-bin kicker-trinity konqueror-trinity ksplash-trinity \
			ksysguard-trinity kwin-trinity libkonq4-trinity

DEB_DH_MAKESHLIBS_ARGS_kate-trinity		:= -V'kate-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kcontrol-trinity		:= -V'kcontrol-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kdebase-trinity-bin		:= -V'kdebase-trinity-bin (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kicker-trinity		:= -V'kicker-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_konqueror-trinity		:= -V'konqueror-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_ksplash-trinity		:= -V'ksplash-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_ksysguard-trinity		:= -V'ksysguard-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kwin-trinity		:= -V'kwin-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_libkonq4-trinity		:= -V'libkonq4-trinity (>= 4:3.5.8-1)'

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

makebuilddir::
	touch kcontrol/energy/pics/energybig.png
	touch kcontrol/energy/pics/lo-energy.png
	uudecode -o kcontrol/pics/cr128-app-energy_star.png debian/img/cr128-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr16-app-energy_star.png debian/img/cr16-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr32-app-energy_star.png debian/img/cr32-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr48-app-energy_star.png debian/img/cr48-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr64-app-energy_star.png debian/img/cr64-app-energy_star.png.uu
	# KIO Media LUKS icons
	uudecode -o pics/crystalsvg/cr128-device-compact_flash_mount_decrypt.png debian/img/medialuks/cr128-device-compact_flash_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-compact_flash_unmount_decrypt.png debian/img/medialuks/cr128-device-compact_flash_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-compact_flash_unmount_encrypt.png debian/img/medialuks/cr128-device-compact_flash_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-hdd_mount_decrypt.png debian/img/medialuks/cr128-device-hdd_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-hdd_unmount_decrypt.png debian/img/medialuks/cr128-device-hdd_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-hdd_unmount_encrypt.png debian/img/medialuks/cr128-device-hdd_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-memory_stick_mount_decrypt.png debian/img/medialuks/cr128-device-memory_stick_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-memory_stick_unmount_decrypt.png debian/img/medialuks/cr128-device-memory_stick_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-memory_stick_unmount_encrypt.png debian/img/medialuks/cr128-device-memory_stick_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-sd_mmc_mount_decrypt.png debian/img/medialuks/cr128-device-sd_mmc_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-sd_mmc_unmount_decrypt.png debian/img/medialuks/cr128-device-sd_mmc_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-sd_mmc_unmount_encrypt.png debian/img/medialuks/cr128-device-sd_mmc_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-smart_media_mount_decrypt.png debian/img/medialuks/cr128-device-smart_media_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-smart_media_unmount_decrypt.png debian/img/medialuks/cr128-device-smart_media_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-smart_media_unmount_encrypt.png debian/img/medialuks/cr128-device-smart_media_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-usbpendrive_mount_decrypt.png debian/img/medialuks/cr128-device-usbpendrive_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-usbpendrive_unmount_decrypt.png debian/img/medialuks/cr128-device-usbpendrive_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-usbpendrive_unmount_encrypt.png debian/img/medialuks/cr128-device-usbpendrive_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdrom_mount_decrypt.png debian/img/medialuks/cr16-device-cdrom_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdrom_unmount_decrypt.png debian/img/medialuks/cr16-device-cdrom_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdrom_unmount_encrypt.png debian/img/medialuks/cr16-device-cdrom_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdwriter_mount_decrypt.png debian/img/medialuks/cr16-device-cdwriter_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdwriter_unmount_decrypt.png debian/img/medialuks/cr16-device-cdwriter_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdwriter_unmount_encrypt.png debian/img/medialuks/cr16-device-cdwriter_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-compact_flash_mount_decrypt.png debian/img/medialuks/cr16-device-compact_flash_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-compact_flash_unmount_decrypt.png debian/img/medialuks/cr16-device-compact_flash_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-compact_flash_unmount_encrypt.png debian/img/medialuks/cr16-device-compact_flash_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-dvd_mount_decrypt.png debian/img/medialuks/cr16-device-dvd_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-dvd_unmount_decrypt.png debian/img/medialuks/cr16-device-dvd_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-dvd_unmount_encrypt.png debian/img/medialuks/cr16-device-dvd_unmount_encrypt.png.uu
